package net.northking.cctp.dw.constant;

import net.northking.cctp.common.exception.PlatformError;

public enum DWError implements PlatformError {

    MQ_TEST_POINT_CONSUME_FAILED("mq消费测试点数据失败"),
    MQ_CASE_DESIGN_CONSUME_FAILED("mq消费案例数据失败"),
    MQ_EXEC_JOB_CONSUME_FAILED("mq消费执行数据失败"),
    MQ_SYNC_POINT_INFO_CONSUME_FAILED("mq同步测试点数据失败"),
    MQ_SYNC_POINT_INFO_ALL_CONSUME_FAILED("mq同步测试点全表增量数据失败"),
    MQ_SYNC_DESIGN_INFO_CONSUME_FAILED("mq同步案例设计数据失败"),
    MQ_SYNC_EXEC_INFO_FAILED("mq同步用例执行数据失败"),
    MQ_SYNC_BUG_GRADE_INFO_CONSUME_FAILED("mq同步缺陷严重程度数据失败"),
    MQ_SYNC_BUG_TENDENCY_INFO_FAILED("mq同步缺陷趋势信息数据失败"),
    MQ_SYNC_BUG_STATUS_INFO_FAILED("mq同步缺陷状态数据失败"),
    MQ_SYNC_BUG_INFO_FAILED("mq同步缺陷数据失败"),
    MQ_SYNC_PROJECT_INFO_FAILED("mq同步系统信息失败"),
    MQ_SYNC_EXEC_TEND_INFO_FAILED("mq同步用例执行趋势数据失败"),
    MQ_SYNC_LEAF_DESIGN_CONSUME_FAILED("mq同步子目录每日新增案例设计数据失败"),
    MQ_SYNC_BUG_TENDENCY_CHART_INFO_FAILED("mq同步缺陷趋势数据失败"),
    SET_PROJECT_DETAILS_FAILED("设置计划数和阶段开始/结束时间失败"),
    MQ_SYNC_CLTDICTITEM_INFO_FAILED("mq同步字典数据失败"),
    CREATE_PROGRESS_DATA_FAILED("生成进度数据失败"),
    CREATE_BUG_DENSITY_DATA_FAILED("生成缺陷密度数据失败"),
    QUERY_CHART_PROGRESS_FAILED("查询进度图失败"),
    QUERY_TEST_POINT_PIE_FAILED("查询需求分析饼图失败"),
    QUERY_MANUAL_EXEC_PIE_FAILED("查询用例执行饼图失败"),
    QUERY_CASE_DESIGN_PIE_FAILED("查询用例设计饼图失败"),
    SCHEDULED_BUG_LEGACY_GRADE_END_STATUS("定时任务统计缺陷遗留严重等级非终态数据失败"),
    //大屏
    SCREEN_TESTPOINT_REFER_CASE("当前系统不存在与用例关联的测试点"),
    DATE_PARSE_ERROR("日期格式化错误"),
    GET_PLAN_ERROR("获取测试计划执行热力图数据有误");
    private String msg;
    private Integer code;

    private static final int START_CODE = 220000;

    DWError() {

    }

    DWError(String msg) {
        this.msg = msg;
    }

    DWError(String msg, Integer code) {
        this.msg = msg;
        this.code = code;
    }

    @Override
    public Integer getCode() {
        return null;
    }

    @Override
    public String getMsg() {
        return null;
    }
}
